using System;
using System.Collections.Generic;
using System.Text;
using IndianHealthService.BMXNet.Model;

namespace IndianHealthService.BMXNet.EHR.Model
{
    internal class CiaDivision:CiaObject,Division
    {
        public override bool Equals(object obj)
        {
            CiaDivision div = obj as CiaDivision;
            if (div == null)
            {
                return false;
            }
            else
            {
                return this.Ien.Equals(div.Ien);
            }
        }

        public override int GetHashCode()
        {
            return this.Ien.GetHashCode();
        }
        private String _name = null;

        public String Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public override string ToString()
        {
            return this.Name;
        }
    }
}

